name 'java7'
description 'Java Platform, Standard Edition'

run_list(
  'recipe[java]'
)

#env_run_lists()

default_attributes(
  'java' => {
    'install_flavor' => 'oracle',
    'jdk_version' => '7',
    'java_home' => '/usr/local/jvm/java-7-ora',
    'oracle' => {
      'accept_oracle_download_terms' => true
    },
=begin Not effective
    'jdk' => {
      '7' => {
        'bin_cmds' => []
      }
    }
=end
  }
)

override_attributes(
  'java' => {
    'jdk' => {
      '7' => {
        # no update-alternatives
        'bin_cmds' => []
      }
    }
  }
)

